Cancel Report Job
Cancels the report generation job for the specified identifier.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
POST /api/sonar/report-jobs/:guid/cancel
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-X POST \
https://HOSTNAME/api/sonar/report-jobs/b5bc3133-b53e-4b61-96b5-8857015a0ede/build
Request Parameter
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guid | O | String | Report generation job GUID | 36 characters |
Success Response
{
"cancelled": true
}
cancelled (boolean): Cancellation status of the report generation job
Error Responses
Report generation job is not found
HTTP status code 200
{
"cancelled": false
}
Identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
No privilege to cancel a report generation job
HTTP status code 500
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}